%global oname jamon

Name:          jamonapi
Version:       2.74
Release:       16%{?dist}
Summary:       A Java monitoring API
License:       BSD
URL:           http://jamonapi.sourceforge.net/
# Newer release available @ https://github.com/stevensouza/jamonapi/
# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi co -P -r v2_74 jamonapi/src
# Remove pregenerated javadoc files in the source tree
# rm -rf jamonapi/src/JAMonUsersGuide/javadoc/*
# Remove zip file which contains a proprietary binary
# rm -rf jamonapi/src/JAMonUsersGuide/JAMon_PB.zip
# rm -rf $(find -name "CVS")
# tar cJf jamonapi-2.74.tar.xz jamonapi
Source0:       %{name}-%{version}.tar.xz
# This POM is completely Fedora-specific
Source1:       %{name}-%{version}.pom

Patch0:        %{name}-buildxml.patch
Patch1:        %{name}-jetty8.patch
Patch2:        %{name}-log4j12.patch
Patch3:        %{name}-jetty93.patch

BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: tomcat-lib
BuildRequires: tomcat-servlet-4.0-api
BuildRequires: tomcat-el-3.0-api
BuildRequires: jetty
BuildRequires: geronimo-interceptor
BuildRequires: log4j12
BuildRequires: dos2unix

Requires:      geronimo-interceptor
Requires:      log4j12

BuildArch:     noarch

%description
JAMon API is a free, simple, high performance, thread safe,
Java API that allows developers to easily monitor the
performance and scalability of production applications. JAMon
tracks hits, execution times (total, avg, min, max, std dev),
and more.

%package javadoc
Summary:         API documentation for %{name}

%description javadoc
This package contains API documentation for Java monitoring API.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i "s|tomcat-el-2.2-api.jar|tomcat-el-api.jar|" src/ant/build.xml
sed -i "s|tomcat-servlet-3.0-api.jar|tomcat-servlet-api.jar|" src/ant/build.xml

sed -i 's|target="1.5" source="1.5"|target="1.6" source="1.6"|' src/ant/build.xml
sed -i 's|"source" value="1.5"|"source" value="1.6"|' src/ant/build.xml
sed -i 's|"vm" value="1.5"|"vm" value="1.6"|' src/ant/build.xml

sed -i 's|packagenames="${package}"|packagenames="${package}" additionalparam="-Xdoclint:none"|' src/ant/build.xml

mkdir dist
mkdir lib

%build
pushd src/ant
ant JAR
ant javadoc
popd

# Remove spurious executable permissions
find src/JAMonUsersGuide -type f | xargs chmod -x
find src/JAMonUsersGuide -regex '.*\(xml\|css\|js\)' -o -name package-list | xargs dos2unix

# There should be a shorter way to do an iconv task, but I do not know of one
pushd src/JAMonUsersGuide/presentation/jamon_files/
mv master04_stylesheet.css master04_stylesheet.css.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 master04_stylesheet.css.iso8859-1 > master04_stylesheet.css
rm master04_stylesheet.css.iso8859-1
popd

cp -p src/JAMonUsersGuide/JAMonLicense.html .

%install
%mvn_artifact %{SOURCE1} dist/%{oname}-%{version}.jar
%mvn_file com.jamonapi:jamon %{oname} %{name}
%mvn_install -J src/doc/javadoc

%files -f .mfiles
%doc src/JAMonUsersGuide
%license JAMonLicense.html

%files javadoc -f .mfiles-javadoc
%license JAMonLicense.html

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 11 2019 Troy Dawson <tdawson@redhat.com> - 2.74-15
- Fix FTBFS (#1604401)
-- Change BuildRequires: from tomcat-servlet-3.1-api to tomcat-servlet-4.0-api

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.74-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.74-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 05 2015 gil cattaneo <puntogil@libero.it> 2.74-7
- fix javac target/source

* Thu Mar 05 2015 gil cattaneo <puntogil@libero.it> 2.74-6
- use servlet 3.1 api and el 3.0 api
- use javac target/source 1.6
- use new javapackages macros

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 2.74-5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.74-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.74-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Oct 13 2013 gil cattaneo <puntogil@libero.it> 2.74-2
- fix project url

* Sun Oct 13 2013 gil cattaneo <puntogil@libero.it> 2.74-1
- update to 2.74

* Sat Aug 17 2013 gil cattaneo <puntogil@libero.it> 2.73-9
- fix rhbz#992588
- build fix for jetty 9.x
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.73-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.73-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.73-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Andy Grimm <agrimm@gmail.com> 2.73-5
- Update POM to reflect current jetty and tomcat deps

* Sun Feb 26 2012 Andy Grimm <agrimm@gmail.com> 2.73-4
- remove duplicate javadoc directory
- Remove PowerBuilder example zipfile

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> 2.73-3
- add javadoc subpackage

* Tue Feb 14 2012 Andy Grimm <agrimm@gmail.com> 2.73-2
- Update for Jetty 8

* Tue Dec 20 2011 Andy Grimm <agrimm@gmail.com> 2.73-1
- Initial Package
